\usepackage{microtype}
\usepackage{graphicx}
\usepackage{booktabs} % for professional tables
\usepackage{hyperref}
    \urlstyle{same}
    \hypersetup{colorlinks=true, linkcolor=black, citecolor=black, urlcolor=black}
\usepackage{prettyref}

\newrefformat{sec}{Section \ref{#1}}  % on page \pageref{#1}}
\newrefformat{subsec}{Section \ref{#1}}  % on page \pageref{#1}}
\newrefformat{equ}{Equation \ref{#1}}  % on page \pageref{#1}}
\newrefformat{thm}{Theorem \ref{#1}}  % on page \pageref{#1}}
\newrefformat{fig}{Figure \ref{#1}}  % on page \pageref{#1}}
\newrefformat{tab}{table \ref{#1}}  % on page \pageref{#1}}
\newrefformat{alg}{Algorithm \ref{#1}}  % on page \pageref{#1}}

\usepackage[top=2cm, bottom=2cm, left=1.5cm, right=1.5cm]{geometry}
\usepackage{fancyhdr}
    \pagestyle{fancy}
    \renewcommand{\headrulewidth}{0pt}
\usepackage{titlesec}
    \titleformat{\title}{\large\bfseries}{}{}{}
    \titleformat{\section}{\normalfont\bfseries}{\thesection}{0.5em}{}
    \titleformat{\subsection}{\normalfont\it}{\thesubsection}{0.5em}{}
    \titleformat{\subsubsection}{\normalfont\normalsize\it}{\thesubsubsection}{0.5em}{}
    \titleformat{\paragraph}[runin]{\normalfont\bfseries}{\theparagraph}{0.5em}{}
    \titleformat{\subparagraph}[runin]{\normalfont\normalsize\it}{\thesubparagraph}{0.5em}{}
\usepackage[font=small,labelfont=bf,labelsep=space]{caption}

\usepackage[round]{natbib}
 	\renewcommand{\cite}[1]{\citep{#1}}

\usepackage{amsthm, amsmath, amsfonts, amssymb, amsthm}

% we'll see about this

\usepackage{pgfplots}
\newtheorem{theorem}{Theorem}
\newtheorem{lemma}{Lemma}
\newtheorem{corollary}{Corollary}

\newtheorem{defi}{Definition}
\newtheorem{fact}{Fact}
\newtheorem{exm}{Example}
\newtheorem{remark}{Remark}

% from original paper
\usepackage{stmaryrd}  % lighting symbol ...
\input{sections/notation}
\usepackage[ruled, vlined]{algorithm2e}
\usepackage{dsfont}
